Name:           glite-lb-ws-interface
Version:        4.0.9
Release:        7%{?dist}
Summary:        gLite Logging and Bookkeeping web service interface

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.ws-interface/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  glite-lb-types
BuildRequires:  libxslt
BuildRequires:  perl-interpreter
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  tidy

%description
glite-lb-ws-interface contains the L&B web service interface specification
(LB.wsdl and LBTypes.wsdl).


%prep
%setup -q


%build
# prevent downloading from network
cp src/glue2.xsd glue2-copy.xsd
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc ChangeLog LICENSE
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/lb/
%dir %{_datadir}/wsdl/
%dir %{_datadir}/wsdl/glite-lb/
%{_includedir}/glite/lb/ws_interface_version.h
%{_datadir}/wsdl/glite-lb/LB.wsdl
%{_datadir}/wsdl/glite-lb/glue2.xsd
%{_datadir}/wsdl/glite-lb/lb4agu.wsdl
%{_datadir}/wsdl/glite-lb/LBTypes.wsdl


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 4.0.9-1
- New release 4.0.9 (L&B 4.1.2)
- Consistent style with buildroot macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 4.0.8-1
- New release 4.0.8 (L&B 4.1.1)

* Sat Nov 23 2013 František Dvořák <valtri@civ.zcu.cz> - 4.0.7-1
- Initial package
